#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
Napisz funkcję pokemon_speak, która zamienia w podanym napisie co drugą literę
na wielką. Np. pokemon_speak('pokemon') powinno zwrócić 'PoKeMoN'.
"""


def pokemon_speak(text):
    wynik = []
    indeks = 0
    for litera in text:
        if indeks % 2 == 0:
            wynik.append(litera.upper())
        else:
            wynik.append(litera)
        indeks += 1

    return ''.join(wynik)


def tests(f):
    inputs = [['pokemon'], ['do not want'], ['POKEMON']]
    outputs = ['PoKeMoN', 'Do nOt wAnT', 'POKEMON']

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(pokemon_speak))
