#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Napisz funkcję big_no zwracającej tzw. "Big 'NO!'"
(zob. http://tvtropes.org/pmwiki/pmwiki.php/Main/BigNo)
dla zadanej liczby tj. napis typu "NOOOOOOOOOOOOO!", gdzie liczba 'O' ma być
równa podanemu argumentem, przy czym jeśli argument jest mniejszy niż 5,
ma być zwracany napis "It's not a Big 'No!'".
"""

def big_no(n):
    if n < 5:
        return "It's not a Big 'No!'"
    else:
        return "N" + n*"O" + "!"

def tests(f):
    inputs = [[5], [6], [2]]
    outputs = ["NOOOOO!", "NOOOOOO!", "It's not a Big 'No!'"]

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(big_no))
