#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Napisz funkcję char_sum, która dla zadanego łańcucha zwraca
sumę kodów ASCII znaków.
"""
def char_sum(text):
    wynik = 0
    for litera in text:
        wynik += ord(litera)
    return wynik

def tests(f):
    inputs = [["this is a string"], ["this is another string"]]
    outputs = [1516, 2172]

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(char_sum))
