#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Napisz funkcję sum_div35(n), która zwraca sumę wszystkich liczb podzielnych
przez 3 lub 5 mniejszych niż n.
"""

def sum_div35(n):
    wynik = 0
    if n<0:
        return 0
    else:
        for i in range(n):
            if i % 3 == 0 or i % 5 == 0:
                wynik += i
    return wynik

def tests(f):
    inputs = [[10], [100], [3845]]
    outputs = [23, 2318, 3446403]

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(sum_div35))

